<?php
/**
 * Mx-CMS WebPortal-System
 * =======================
 *
 * ADMIN-Section for Team (Staff) - Gallery by MvW/RtR
 * Copyright (c) 2005 by MvW/RtR for Mx-CMS Version Mx-1.1.0
 *
 * This program is free software. You can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 */

/**
 * Edit and advanced by JoergK
 * Source: admin/modules/team.php,v $
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(dirname(__DIR__));

/* Select language files */
mxGetLangfile($module_name);

/* Load settings */
include('modules/' . $module_name . '/teamset.php');

define('TEAMMOD_IMAGEPATH', 'modules/' . $module_name . '/images/');

global $prefix, $aid;

/* Get name of admin */
$result = sql_query("select name from " . $prefix . "_authors where aid='" . $aid . "'");
list($aidname) = sql_fetch_row($result);

/**
 * Admin mainsite
 */
function showUebersicht()
{
    global $prefix, $bgcolor2, $vkp19, $vkp39;

    unset($errorstop);

    include("header.php");
    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();

    /* Member list */
    OpenTable();
    $result = sql_query("SELECT * FROM " . $prefix . "_team ORDER BY pos ASC");
    echo '<table border="1" align="center">' . "\n"
     . '<tr>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '" colspan="3" align="center"><strong>' . _TEAMTBPOS . '</strong></td>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '"><strong>' . _TEAMTBNNAM . ', ' . _TEAMTBVNAM . '</strong></td>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '"><strong>' . _TEAMEMAIL . '</strong></td>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '"><strong>' . _TEAMLANGGROUP . '</strong></td>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '" align="center"><strong>' . _TEAMTBMODUS . '</strong></td>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '" align="center"><strong>' . _TEAMTBOPS . '</strong></td>' . "\n"
     . '</tr>' . "\n";

    if (sql_num_rows($result) > 0) {
        while ($row = sql_fetch_array($result)) {
            $q = "SELECT tid, pos FROM " . $prefix . "_team WHERE pos<'" . $row['pos'] . "'";
            $showHoch = sql_num_rows(sql_query($q)) > 0 ? true : false;
            $q = "SELECT tid, pos FROM " . $prefix . "_team WHERE pos>'" . $row['pos'] . "'";
            $showRunter = sql_num_rows(sql_query($q)) > 0 ? true : false;

            $gresult = sql_query("SELECT funktion FROM " . $prefix . "_team_group WHERE gid='" . intval($row['gid']) . "'");
            $grow = sql_fetch_array($gresult);
            if ($row['gid'] == 0) {
                $emphasis = '&nbsp';
            } else {
                $emphasis = $grow['funktion'];
            }
            echo '<tr>' . "\n"
             . '<td align="center">' . "\n";
            if ($showHoch) {
                echo '<a href="' . adminUrl(PMX_MODULE, 'Pos', 'modus=hoch&amp;tid=' . $row['tid']) . '">'
                 . mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-up.gif", _TEAMIMGUP) . '</a>';
            } else {
                echo mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-nup.gif", _TEAMIMGNOUP);
            }
            echo "\n" . '</td>' . "\n"
             . '<td align="center">' . $row['pos'] . '</td>' . "\n"
             . '<td align="center">' . "\n";
            if ($showRunter) {
                echo '<a href="' . adminUrl(PMX_MODULE, 'Pos', 'modus=runter&amp;tid=' . $row['tid']) . '">'
                 . mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-dn.gif", _TEAMIMGDOWN) . '</a>';
            } else {
                echo mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-ndn.gif", _TEAMIMGNODOWN);
            }
            echo "\n" . '</td>' . "\n"
             . '<td>' . $row['nname'] . ', ' . $row['vname'] . '</td>' . "\n";
            if (empty($row['email'])) {
                echo '<td>&nbsp;</td>' . "\n";
            } else {
                echo '<td><a href="mailto:' . $row['email'] . '" title="' . _TEAMEMAILSEND . '">' . $row['email'] . '</a></td>' . "\n";
            }
            echo '<td>' . $emphasis . '</td>' . "\n"
             . '<td align="center">' . "\n";
            if ($row['anzeigen'] == 0) {
                echo '<i>' . _TEAMMODDEACT . '</i>';
            } else {
                echo _TEAMMODACT;
            }
            echo "\n" . '</td>' . "\n"
             . '<td align="center">' . "\n"
             . '<a href="' . adminUrl(PMX_MODULE, 'Detail', 'tid=' . $row['tid']) . '" title="'. _EDIT .'">' . mxCreateImage("images/edit.gif", _TEAMOPCNG) . '</a>&nbsp;&nbsp;' . "\n"
             . '<a href="' . adminUrl(PMX_MODULE, 'Del', 'tid=' . $row['tid']) . '" title="'. _DELETE .'">' . mxCreateImage("images/delete.gif", _TEAMOPDEL) . '</a>&nbsp;&nbsp;' . "\n"
             . '<a href="' . adminUrl(PMX_MODULE, 'ChgMod', 'tid=' . $row['tid']) . '" title="'. _ACTIVATE .'">';
            if ($row['anzeigen'] == 1) {
                echo mxCreateImage("images/deactivate.gif", _TEAMOPDEACT);
            } else {
                echo mxCreateImage("images/activate.gif", _TEAMOPACT);
            }
            echo '</a>' . "\n"
             . '</td>' . "\n"
             . '</tr>' . "\n";
            unset($emphasis, $emphalng);
        }
    }
    echo '</table>' . "\n";
    CloseTable();
    echo '<br />' . "\n";

    /* Group list */
    OpenTable();
    $g_result = sql_query("SELECT * FROM " . $prefix . "_team_group ORDER BY pos ASC");
    echo '<table border="1" align="center">' . "\n"
     . '<tr>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '" colspan="3" align="center"><strong>' . _TEAMTBPOS . '</strong></td>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '"><strong>' . _TEAMLANGGROUP . '</strong></td>' . "\n"
     . '<td bgcolor="' . $bgcolor2 . '" align="center"><strong>' . _TEAMTBOPS . '</strong></td>' . "\n"
     . '</tr>' . "\n";

    if (sql_num_rows($g_result) > 0) {
        while ($g_row = sql_fetch_array($g_result)) {
            $g_q = "SELECT gid, pos FROM " . $prefix . "_team_group WHERE pos<'" . $g_row['pos'] . "'";
            $g_showHoch = sql_num_rows(sql_query($g_q)) > 0 ? true : false;
            $g_q = "SELECT gid, pos FROM " . $prefix . "_team_group WHERE pos>'" . $g_row['pos'] . "'";
            $g_showRunter = sql_num_rows(sql_query($g_q)) > 0 ? true : false;

            echo '<tr>' . "\n"
             . '<td align="center">' . "\n";
            if ($g_showHoch) {
                echo '<a href="' . adminUrl(PMX_MODULE, 'PosG', 'modus=hoch&amp;gid=' . $g_row['gid']) . '>'
                 . mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-up.gif", _TEAMIMGUP) . '</a>';
            } else {
                echo mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-nup.gif", _TEAMIMGNOUP);
            }
            echo "\n" . '</td>' . "\n"
             . '<td align="center">' . $g_row['pos'] . '</td>' . "\n"
             . '<td align="center">' . "\n";
            if ($g_showRunter) {
                echo '<a href="' . adminUrl(PMX_MODULE, 'PosG', 'modus=runter&amp;gid=' . $g_row['gid']) . '">'
                 . mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-dn.gif", _TEAMIMGDOWN) . '</a>';
            } else {
                echo mxCreateImage(TEAMMOD_IMAGEPATH . "vkp-ndn.gif", _TEAMIMGNODOWN);
            }
            echo "\n" . '</td>' . "\n"
             . '<td>' . $g_row['funktion'] . '</td>' . "\n"
             . '<td align="center">' . "\n"
             . '<a href="' . adminUrl(PMX_MODULE, 'DetailG', 'gid=' . $g_row['gid']) . '"  title="'. _EDIT .'">' . mxCreateImage("images/edit.gif", _TEAMOPCNG) . '</a>&nbsp;&nbsp;' . "\n"
             . '<a href="' . adminUrl(PMX_MODULE, 'DelG', 'gid=' . $g_row['gid']) . '"  title="'. _DELETE .'">' . mxCreateImage("images/delete.gif", _TEAMOPDEL) . '</a>' . "\n"
             . '</td>' . "\n"
             . '</tr>' . "\n";
        }
    }
    echo '</table>' . "\n";
    CloseTable();
    echo '<br />' . "\n";

    /* Uploads */
    $permsdir = decoct(fileperms($vkp19));
    $perms = substr($permsdir, -3);
    if ($perms != "777" || $vkp19 == "") {
        OpenTable();
        echo '<p align="center"><font class="title"><strong>' . _ERRORGLOBAL . ':</strong></font></p>' . "\n";
        echo '<p align="center">'
         . '<span style="background-color:#FF0000; padding:2px">'
         . _TEAMVERZEICHNIS . ' &quot;<strong>' . $vkp19 . '</strong>&quot; ' . _TEAMCHMOD777
         . '!</span></p>' . "\n";
        CloseTable();
        echo '<br />' . "\n";
        $errorstop = 1;
    } else {
        $errorstop = 0;
    }

    $number_of_uploads = $vkp39;

    if ($errorstop != 1) {
        OpenTable2();
        echo '<form method="post" action="' . adminUrl(PMX_MODULE, 'AdminImage') . '" enctype="multipart/form-data">' . "\n"
         . '<center>' . "\n"
         . '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMUPLOADHAED . '</legend>' . "\n"
         . '<table style="width:95%; text-align:center;">' . "\n";
        for ($j = 0; $j < $number_of_uploads; $j++) {
            echo '<tr><td><strong>' . ($j + 1) . '.</strong> <input type="file" name="img[]" size="30" /><br /><br /></td></tr>' . "\n";
        }
        echo '<tr><td>' . "\n"
         . '<input type="hidden" name="submitted" value="true" /><br />' . "\n"
         . '<input type="submit" name="submit" value="- ' . _TEAMUPLOADBTN . ' -" />' . "\n"
         . '</td></tr>' . "\n"
         . '</table></fieldset></center></form>' . "\n";
        CloseTable2();
        echo '<br />' . "\n";
    }
    include("footer.php");
}

/**
 * Write member data into database
 */
function writeDetail()
{
    global $prefix, $tid;
    global $inputURL1, $inputURL2, $inputNname, $inputVname, $inputBirth;
    global $inputStellung, $inputEmail, $inputBildKlein, $inputBildGross;
    global $inputBildKlein_name, $inputBildGross_name, $inputBeschrKurz;
    global $inputBeschrLang, $inputAnzeigen, $inputGruppe;
    global $mxTeamNickObli, $mxTeamBirthObli, $mxTeamInterObli, $mxTeamEmailObli;
    global $mxTeamShortDescObli, $mxTeamLongDescObli;

    $errors = array();

    if (empty($inputNname) && ($mxTeamNickObli == "2" || $mxTeamNickObli == "3")) {
        array_push($errors, _ERROR1);
    }
    if (empty($inputVname) && ($mxTeamNickObli == "1" || $mxTeamNickObli == "3")) {
        array_push($errors, _ERROR2);
    }
    if (empty($inputStellung) && $mxTeamInterObli == "YES") {
        array_push($errors, _ERROR3);
    }
    if (empty($inputBeschrKurz) && $mxTeamShortDescObli == "YES") {
        array_push($errors, _ERROR4);
    }
    if (empty($inputBeschrLang) && $mxTeamLongDescObli == "YES") {
        array_push($errors, _ERROR5);
    }
    if (empty($inputBildKlein)) {
        array_push($errors, _ERROR6);
    }
    if (empty($inputBildGross)) {
        array_push($errors, _ERROR7);
    }
    if (empty($inputBirth) && $mxTeamBirthObli == "YES") {
        array_push($errors, _ERROR9);
    }
    if (empty($inputEmail) && $mxTeamEmailObli == "YES") {
        array_push($errors, _ERROR8);
    }
    if (!empty($inputEmail) && !mxCheckEmail($inputEmail)) {
        array_push($errors, _ERROR11);
    }
    if (!empty($inputEmail) && pmx_is_mail_banned($inputEmail)) {
        array_push($errors, _MAILISBLOCKED);
    }

    if (count($errors) == 0) {
        $gid = intval($inputGruppe);
        $nname = mxAddSlashesForSQL($inputNname);
        $vname = mxAddSlashesForSQL($inputVname);
        $birthday = mxAddSlashesForSQL($inputBirth);
        $bildklein = mxAddSlashesForSQL($inputBildKlein);
        $bildgross = mxAddSlashesForSQL($inputBildGross);
        $stellung = mxAddSlashesForSQL($inputStellung);
        $email = mxAddSlashesForSQL($inputEmail);
        $beschrKurz = mxAddSlashesForSQL($inputBeschrKurz);
        $beschrLang = mxAddSlashesForSQL($inputBeschrLang);
        $anzeigen = ($inputAnzeigen == "YES" ? 1 : 0);
        $url1 = mxAddSlashesForSQL($inputURL1);
        $url2 = mxAddSlashesForSQL($inputURL2);

        $query_set = $prefix . "_team SET nname='" . $nname . "', vname='" . $vname . "', bild_klein='" . $bildklein . "', bild_gross='" . $bildgross . "', stellung='" . $stellung . "', email='" . $email . "', beschr_kurz='" . $beschrKurz . "', beschr_lang='" . $beschrLang . "', anzeigen='" . $anzeigen . "', url1='" . $url1 . "', url2='" . $url2 . "', bday='" . $birthday . "', gid='" . $gid . "'";

        if ($tid == "neu") {
            $posr = sql_fetch_row(sql_query("SELECT MAX(pos) FROM " . $prefix . "_team"));
            $pos = $posr[0] + 1;
            $query = "INSERT INTO " . $query_set . ", pos='" . $pos . "'";
        } else {
            $query = "UPDATE " . $query_set . " WHERE tid='" . $tid . "'";
        }

        sql_query($query);

        if ($tid == "neu") {
            $tidr = sql_fetch_row(sql_query("SELECT tid FROM " . $prefix . "_team WHERE pos='" . $pos . "'"));
            $tid = $tidr[0];
        }
    }
    return $errors;
}

/**
 * Write group data into database
 */
function writeDetailG()
{
    global $prefix, $gid, $inputGruppe;

    $errors = array();
    if (empty($inputGruppe)) array_push($errors, _ERROR10);

    if (count($errors) == 0) {
        $ngroup = mxAddSlashesForSQL($inputGruppe);

        $query_set = $prefix . "_team_group SET funktion='" . $ngroup . "'";

        if ($gid == "neu") {
            $posr = sql_fetch_row(sql_query("SELECT MAX(pos) FROM " . $prefix . "_team_group"));
            $pos = $posr[0] + 1;
            $query = "INSERT INTO " . $query_set . ", pos='" . $pos . "'";
        } else {
            $query = "UPDATE " . $query_set . " WHERE gid='" . $gid . "'";
        }

        sql_query($query);

        if ($gid == "neu") {
            $gidr = sql_fetch_row(sql_query("SELECT gid FROM " . $prefix . "_team_group WHERE pos='" . $pos . "'"));
            $gid = $gidr[0];
        }
    }
    return $errors;
}

/**
 * Module preferences
 */
function teamAdminConfig()
{
    global $vkp19, $vkp24, $vkp25, $vkp26, $vkp27, $vkp28, $vkp37, $vkp38, $vkp39;
    global $vkp40, $mxTeamCol, $mxTeamDetail, $mxTeamInactive, $mxTeamColor1;
    global $mxTeamColor2, $mxTeamNickObli, $mxTeamBirthObli, $mxTeamInterObli;
    global $mxTeamEmailObli, $mxTeamShortDescObli, $mxTeamLongDescObli, $mxTeamAllAdmin;
    global $mxTeamSortOverview;

    include("header.php");

    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();
    Title(_TEAMSETTINX);

    OpenTable();
    echo '<form action="' . adminUrl(PMX_MODULE) . '" method="post">' . "\n"
     . '<center>' . "\n";

    /* General */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMSETGLOBAL . '</legend>' . "\n"
     . '<table style="width:90%;">' . "\n"
     . '<tr><td style="width:30%;">' . _TEAMADMINALL . '</td>' . "\n";
    if ($mxTeamAllAdmin == 1) {
        echo '<td style="width:15%;"><input type="radio" name="xsetmxTeamAllAdmin" value="1" checked="checked" />&nbsp;<strong>' . _ALL . '</strong></td>'
         . '<td><input type="radio" name="xsetmxTeamAllAdmin" value="0" />&nbsp;' . _TEAMADMINSUPER . '</td>' . "\n";
    } elseif ($mxTeamAllAdmin == 0) {
        echo '<td style="width:15%;"><input type="radio" name="xsetmxTeamAllAdmin" value="1" />&nbsp;' . _ALL . '</td>'
         . '<td><input type="radio" name="xsetmxTeamAllAdmin" value="0" checked="checked" />&nbsp;<strong>' . _TEAMADMINSUPER . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _BLOCKSHOW_RIGHT . '?</td>' . "\n";
    if ($vkp28 == 1) {
        echo '<td><input type="radio" name="xset28" value="1" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td><input type="radio" name="xset28" value="0" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($vkp28 == 0) {
        echo '<td><input type="radio" name="xset28" value="1" />&nbsp;' . _YES . '</td>'
         . '<td><input type="radio" name="xset28" value="0" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMLANGCOL . '</td>' . "\n";
    if ($mxTeamCol == 1) {
        echo '<td><input type="radio" name="xsetmxTeamCol" value="1" checked="checked" />&nbsp;<strong>1</strong></td>'
         . '<td><input type="radio" name="xsetmxTeamCol" value="2" />&nbsp;2</td>' . "\n";
    } elseif ($mxTeamCol == 2) {
        echo '<td><input type="radio" name="xsetmxTeamCol" value="1" />&nbsp;1</td>'
         . '<td><input type="radio" name="xsetmxTeamCol" value="2" checked="checked" />&nbsp;<strong>2</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMLANGDETAIL . '</td>' . "\n";
    if ($mxTeamDetail == "YES") {
        echo '<td><input type="radio" name="xsetmxTeamDetail" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td><input type="radio" name="xsetmxTeamDetail" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($mxTeamDetail == "NO") {
        echo '<td><input type="radio" name="xsetmxTeamDetail" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td><input type="radio" name="xsetmxTeamDetail" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMLANGSHOWINACTIVE . '</td>' . "\n";
    if ($mxTeamInactive == "YES") {
        echo '<td><input type="radio" name="xsetmxTeamInactive" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td><input type="radio" name="xsetmxTeamInactive" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($mxTeamInactive == "NO") {
        echo '<td><input type="radio" name="xsetmxTeamInactive" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td><input type="radio" name="xsetmxTeamInactive" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMADMINSORTOVERVIEW . '</td>' . "\n"
     . '<td colspan="2">'
     . '<select size="1" name="xsetmxTeamSortOverview">' . "\n";
    if ($mxTeamSortOverview == 1) {
        echo '<OPTION value="1" selected="selected">' . _TEAMTBPOS . '</OPTION>' . "\n";
    } else {
        echo '<OPTION value="1">' . _TEAMTBPOS . '</OPTION>' . "\n";
    }
    if ($mxTeamSortOverview == 2) {
        echo '<OPTION value="2" selected="selected">' . _TEAMTBNNAM . '</OPTION>' . "\n";
    } else {
        echo '<OPTION value="2">' . _TEAMTBNNAM . '</OPTION>' . "\n";
    }
    if ($mxTeamSortOverview == 3) {
        echo '<OPTION value="3" selected="selected">' . _TEAMTBVNAM . '</OPTION>' . "\n";
    } else {
        echo '<OPTION value="3">' . _TEAMTBVNAM . '</OPTION>' . "\n";
    }
    if ($mxTeamSortOverview == 4) {
        echo '<OPTION value="4" selected="selected">' . _TEAMTBSTELG . '</OPTION>' . "\n";
    } else {
        echo '<OPTION value="4">' . _TEAMTBSTELG . '</OPTION>' . "\n";
    }
    echo '</select></td></tr>' . "\n";
    echo '<tr><td>' . _TEAMLANGCOLOR1 . "\n"
     . '<script type="text/javascript">' . "\n"
     . 'function change_color1()' . "\n"
     . '{' . "\n"
     . 'var farbcode1 = document.getElementById("xsetmxTeamColor1").value;' . "\n"
     . 'document.getElementById("show1").style.backgroundColor = farbcode1;' . "\n"
     . '}' . "\n"
     . '</script>' . "\n";
    echo '</td><td colspan="2">' . "\n"
     . '#<input type="text" name="xsetmxTeamColor1" id="xsetmxTeamColor1" value="' . substr($mxTeamColor1, 1) . '" size="7" maxlength="7" onChange="change_color1();" />&nbsp;&nbsp;<span style="background-color:' . $mxTeamColor1 . ';" id="show1">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>' . "\n"
     . '</td></tr>' . "\n"
     . '<tr><td>' . _TEAMLANGCOLOR2 . "\n";
    echo '<script type="text/javascript">' . "\n"
     . 'function change_color2()' . "\n"
     . '{' . "\n"
     . 'var farbcode2 = document.getElementById("xsetmxTeamColor2").value;' . "\n"
     . 'document.getElementById("show2").style.backgroundColor = farbcode2;' . "\n"
     . '}' . "\n"
     . '</script>' . "\n";
    echo '</td><td colspan="2">' . "\n"
     . '#<input type="text" name="xsetmxTeamColor2" id="xsetmxTeamColor2" value="' . substr($mxTeamColor2, 1) . '" size="7" maxlength="7" onChange="change_color2();" />&nbsp;&nbsp;<span style="background-color:' . $mxTeamColor2 . ';" id="show2">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>' . "\n";
    echo '</td></tr></table>' . "\n"
     . '</fieldset>' . "\n";

    /* Picture settings */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMSETPICTURES . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:30%;">' . _TEAMLANG3 . '</td>' . "\n"
     . '<td colspan="2">'
     . '<select id="xset39" size="1" name="xset39">' . "\n";
    for ($i = 0;$i < 6;$i++) {
        $ii = $i + 1;
        if ($vkp39 == $ii) {
            echo '<OPTION value="' . $ii . '" selected="selected">' . $ii . '</OPTION>' . "\n";
        } else {
            echo '<OPTION value="' . $ii . '">' . $ii . '</OPTION>' . "\n";
        }
    }
    echo '</select></td></tr>' . "\n"
     . '<tr><td>' . _TEAMLANG24 . '</td><td colspan="2">' . "\n"
     . '<input type="text" name="xset19" value="' . $vkp19 . '" size="40" maxlength="40" />' . "\n"
     . '</td></tr>' . "\n"
     . '<tr><td>' . _TEAMLANG33 . '</td><td colspan="2">' . "\n"
     . '<input type="text" name="xset37" value="' . $vkp37 . '" size="13" maxlength="13" />' . "\n"
     . '</td></tr>' . "\n"
     . '<tr><td>' . _TEAMLANG16 . '</td>' . "\n";
    if ($vkp38 == "YES") {
        echo '<td style="width:15%;"><input type="radio" name="xset38" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td><input type="radio" name="xset38" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($vkp38 == "NO") {
        echo '<td style="width:15%;"><input type="radio" name="xset38" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td><input type="radio" name="xset38" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMLANG17 . '</td><td colspan="2">' . "\n"
     . _TEAMPICWIDTH . ' <input type="text" name="xset24" size="3" maxlength="3" value="' . $vkp24 . '" />' . "\n"
     . ' x ' . _TEAMPICHEIGTH . ' <input type="text" name="xset25" size="3" maxlength="3" value="' . $vkp25 . '" /> ' . "\n"
     . _TEAMPICPIXEL . '</td></tr>' . "\n"
     . '<tr><td>' . _TEAMLANG18 . '</td><td colspan="2">' . "\n"
     . _TEAMPICWIDTH . ' <input type="text" name="xset26" size="3" maxlength="3" value="' . $vkp26 . '" />' . "\n"
     . ' x ' . _TEAMPICHEIGTH . ' <input type="text" name="xset27" size="3" maxlength="3" value="' . $vkp27 . '" /> ' . "\n"
     . _TEAMPICPIXEL . '</td></tr>' . "\n"
     . '<tr><td>' . _TEAMLANG25 . '</td><td colspan="2">' . "\n"
     . '<input type="text" name="xset40" value="' . $vkp40 . '" size="40" maxlength="40" />' . "\n"
     . '</td></tr></table>' . "\n"
     . '</fieldset>' . "\n";

    /* Obligation settings */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMSETOBLI . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:30%;">' . _TEAMTBVNAM . ' / ' . _TEAMTBNNAM . '</td>' . "\n";
    if ($mxTeamNickObli == "1") {
        echo '<td style="width:15%;"><input type="radio" name="xsetmxTeamNickObli" value="1" checked="checked" />&nbsp;<strong>' . _TEAMTBVNAM . '</strong></td>'
         . '<td style="width:15%;"><input type="radio" name="xsetmxTeamNickObli" value="2" />&nbsp;' . _TEAMTBNNAM . '</td>'
         . '<td><input type="radio" name="xsetmxTeamNickObli" value="3" />&nbsp;' . _TEAMTBVNAM . ' &amp; ' . _TEAMTBNNAM . '</td>' . "\n";
    } elseif ($mxTeamNickObli == "2") {
        echo '<td style="width:15%;"><input type="radio" name="xsetmxTeamNickObli" value="1" />&nbsp;' . _TEAMTBVNAM . '</td>'
         . '<td style="width:15%;"><input type="radio" name="xsetmxTeamNickObli" value="2" checked="checked" />&nbsp;<strong>' . _TEAMTBNNAM . '</strong></td>'
         . '<td><input type="radio" name="xsetmxTeamNickObli" value="3" />&nbsp;' . _TEAMTBVNAM . ' &amp; ' . _TEAMTBNNAM . '</td>' . "\n";
    } elseif ($mxTeamNickObli == "3") {
        echo '<td style="width:15%;"><input type="radio" name="xsetmxTeamNickObli" value="1" />&nbsp;' . _TEAMTBVNAM . '</td>'
         . '<td style="width:15%;"><input type="radio" name="xsetmxTeamNickObli" value="2" />&nbsp;' . _TEAMTBNNAM . '</td>'
         . '<td><input type="radio" name="xsetmxTeamNickObli" value="3" checked="checked" />&nbsp;<strong>' . _TEAMTBVNAM . ' &amp; ' . _TEAMTBNNAM . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMLANGBIRTH . '</td>' . "\n";
    if ($mxTeamBirthObli == "YES") {
        echo '<td><input type="radio" name="xsetmxTeamBirthObli" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamBirthObli" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($mxTeamBirthObli == "NO") {
        echo '<td><input type="radio" name="xsetmxTeamBirthObli" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamBirthObli" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMTBSTELG . '</td>' . "\n";
    if ($mxTeamInterObli == "YES") {
        echo '<td><input type="radio" name="xsetmxTeamInterObli" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamInterObli" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($mxTeamInterObli == "NO") {
        echo '<td><input type="radio" name="xsetmxTeamInterObli" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamInterObli" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMEMAIL . '</td>' . "\n";
    if ($mxTeamEmailObli == "YES") {
        echo '<td><input type="radio" name="xsetmxTeamEmailObli" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamEmailObli" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($mxTeamEmailObli == "NO") {
        echo '<td><input type="radio" name="xsetmxTeamEmailObli" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamEmailObli" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMDETDESCSHORT . '</td>' . "\n";
    if ($mxTeamShortDescObli == "YES") {
        echo '<td><input type="radio" name="xsetmxTeamShortDescObli" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamShortDescObli" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($mxTeamShortDescObli == "NO") {
        echo '<td><input type="radio" name="xsetmxTeamShortDescObli" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamShortDescObli" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr>' . "\n"
     . '<tr><td>' . _TEAMDETDESCLONG . '</td>' . "\n";
    if ($mxTeamLongDescObli == "YES") {
        echo '<td><input type="radio" name="xsetmxTeamLongDescObli" value="YES" checked="checked" />&nbsp;<strong>' . _YES . '</strong></td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamLongDescObli" value="NO" />&nbsp;' . _NO . '</td>' . "\n";
    } elseif ($mxTeamLongDescObli == "NO") {
        echo '<td><input type="radio" name="xsetmxTeamLongDescObli" value="YES" />&nbsp;' . _YES . '</td>'
         . '<td colspan="2"><input type="radio" name="xsetmxTeamLongDescObli" value="NO" checked="checked" />&nbsp;<strong>' . _NO . '</strong></td>' . "\n";
    }
    echo '</tr></table>' . "\n"
     . '</fieldset>' . "\n";

    /* Form action */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMSETACTION . '</legend>' . "\n";
    echo '<input type="hidden" name="op" value="' . PMX_MODULE . '/AdminConfigSave" />' . "\n";
    echo '<input type="submit" value="' . _SAVECHANGES . '" />&nbsp;&nbsp;<strong>' . _TEAMLANG7 . '</strong><br /><br />' . "\n";
    echo '</fieldset>' . "\n";
    echo '</center></form><br />' . "\n";
    CloseTable();
    include("footer.php");
}

/**
 * Write module settings into file
 */
function teamAdminConfigSave($xset19, $xset24, $xset25, $xset26, $xset27, $xset28, $xset37, $xset38, $xset39, $xset40, $xsetmxTeamCol, $xsetmxTeamDetail, $xsetmxTeamNickObli, $xsetmxTeamBirthObli, $xsetmxTeamInterObli, $xsetmxTeamEmailObli, $xsetmxTeamShortDescObli, $xsetmxTeamLongDescObli, $xsetmxTeamInactive, $xsetmxTeamColor1, $xsetmxTeamColor2, $xsetmxTeamAllAdmin, $xsetmxTeamSortOverview)
{
    intval($xset19);
    intval($xset25);
    intval($xset26);
    intval($xset27);
    intval($xset28);
    intval($xset37);
    intval($xset39);
    intval($xsetmxTeamCol);
    intval($xsetmxTeamAllAdmin);
    intval($xsetmxTeamNickObli);
    intval($xsetmxTeamSortOverview);
    $rtradmin = "";
    $mxTeamSetInfo = 'Id';

    $rtradmin = '<?php // $' . $mxTeamSetInfo . ': teamset.php,v 1.7 2007/09/12 15:51:50 JoergK Exp $' . "\n";
    $rtradmin .= '/* pragmaMx Web Portal System */' . "\n\n";
    $rtradmin .= "defined('mxMainFileLoaded') or die('access denied');\n\n";
    $rtradmin .= '$vkp24 = "' . $xset24 . '";' . "\n";
    $rtradmin .= '$vkp25 = "' . $xset25 . '";' . "\n";
    $rtradmin .= '$vkp26 = "' . $xset26 . '";' . "\n";
    $rtradmin .= '$vkp27 = "' . $xset27 . '";' . "\n";
    $rtradmin .= '$vkp28 = "' . $xset28 . '";' . "\n";
    $rtradmin .= '$mxTeamCol = "' . $xsetmxTeamCol . '";' . "\n";
    $rtradmin .= '$vkp19 = "' . $xset19 . '";' . "\n";
    $rtradmin .= '$vkp37 = "' . $xset37 . '";' . "\n";
    $rtradmin .= '$vkp38 = "' . $xset38 . '";' . "\n";
    $rtradmin .= '$vkp39 = "' . $xset39 . '";' . "\n";
    $rtradmin .= '$vkp40 = "' . $xset40 . '";' . "\n";
    $rtradmin .= '$mxTeamDetail = "' . $xsetmxTeamDetail . '";' . "\n";
    $rtradmin .= '$mxTeamNickObli = "' . $xsetmxTeamNickObli . '";' . "\n";
    $rtradmin .= '$mxTeamBirthObli = "' . $xsetmxTeamBirthObli . '";' . "\n";
    $rtradmin .= '$mxTeamInterObli = "' . $xsetmxTeamInterObli . '";' . "\n";
    $rtradmin .= '$mxTeamEmailObli = "' . $xsetmxTeamEmailObli . '";' . "\n";
    $rtradmin .= '$mxTeamShortDescObli = "' . $xsetmxTeamShortDescObli . '";' . "\n";
    $rtradmin .= '$mxTeamLongDescObli = "' . $xsetmxTeamLongDescObli . '";' . "\n";
    $rtradmin .= '$mxTeamInactive = "' . $xsetmxTeamInactive . '";' . "\n";
    $rtradmin .= '$mxTeamColor1 = "#' . $xsetmxTeamColor1 . '";' . "\n";
    $rtradmin .= '$mxTeamColor2 = "#' . $xsetmxTeamColor2 . '";' . "\n";
    $rtradmin .= '$mxTeamAllAdmin = "' . $xsetmxTeamAllAdmin . '";' . "\n";
    $rtradmin .= '$mxTeamSortOverview = "' . $xsetmxTeamSortOverview . '";' . "\n\n";
    $rtradmin .= '?>' . "\n";

    $ok = (int)mx_write_file("modules/" . PMX_MODULE . "/teamset.php", $rtradmin, false);

    return mxRedirect(adminUrl(PMX_MODULE, 'AdminConfig'));
}

/**
 * Create new or edit existing member
 */
function showDetail($tid = "neu")
{
    global $prefix, $modus, $errors;
    global $inputURL1, $inputURL2, $inputNname, $inputVname, $inputBirth;
    global $inputStellung, $inputEmail, $inputBeschrKurz, $inputBeschrLang;
    global $inputAnzeigen, $inputBildKlein_name, $inputBildGross_name;
    global $teamLoeschen, $inputGruppe;
    global $vkp19, $vkp24, $vkp25, $vkp26, $vkp27, $vkp40, $mxTeamNickObli;
    global $mxTeamBirthObli, $mxTeamInterObli, $mxTeamEmailObli;
    global $mxTeamShortDescObli, $mxTeamLongDescObli;

    if ($teamLoeschen == "YES") {
        delAbfrage();
        return;
    }
	$errors=is_array($errors)?$errors:array();
    if ($modus == "change") {
        $errwd = writeDetail();
        $errors = array_merge($errwd);
        if (count($errors) == 0) {
            showUebersicht();
            return;
        }
    }

    if (count($errors) >= 1) {
        $errormsg = '<font color="#FF0000">' . _ERRORGLOBAL . ':' . "\n" . '<ul>';
        foreach ($errors as $error) {
            $errormsg .= '<li>' . $error . '</li>' . "\n";
        }
        $errormsg .= '</ul></font><br />' . "\n";
    } else {
        $errormsg = "";
    }

    if ($tid == "neu" && count($errors) == 0) {
        $gid = "";
        $nname = "";
        $vname = "";
        $birthday = "";
        $stellung = "";
        $email = "";
        $bildKlein = "";
        $bildGross = "";
        $beschrKurz = "";
        $beschrLang = "";
        $pos = "";
        $anzeigenJa = ' checked="checked"';
        $anzeigenNein = "";
        $url1 = "";
        $url2 = "";
    } elseif ($tid == "neu" && count($errors) >= 1) {
        $gid = intval($inputGruppe);
        $nname = mxEntityQuotes($inputNname);
        $vname = mxEntityQuotes($inputVname);
        $birthday = mxEntityQuotes($inputBirth);
        $stellung = mxEntityQuotes($inputStellung);
        $email = mxEntityQuotes($inputEmail);
        $beschrKurz = mxEntityQuotes($inputBeschrKurz);
        $beschrLang = mxEntityQuotes($inputBeschrLang);
        $pos = "";
        $anzeigenJa = ($inputAnzeigen == "YES" ? ' checked="checked"' : "");
        $anzeigenNein = ($inputAnzeigen == "NO" ? ' checked="checked"' : "");
        $bildKlein = mxEntityQuotes($inputBildKlein_name);
        $bildGross = mxEntityQuotes($inputBildGross_name);
        $url1 = mxEntityQuotes($inputURL1);
        $url2 = mxEntityQuotes($inputURL2);
    } else {
        $result = sql_query("SELECT * FROM " . $prefix . "_team WHERE tid='" . $tid . "'");
        $row = sql_fetch_array($result);
        $pos = $row['pos'];

        if ($modus == "change") {
            $gid = intval($inputGruppe);
            $nname = mxEntityQuotes($inputNname);
            $vname = mxEntityQuotes($inputVname);
            $birthday = mxEntityQuotes($inputBirth);
            $stellung = mxEntityQuotes($inputStellung);
            $email = mxEntityQuotes($inputEmail);
            $beschrKurz = mxEntityQuotes($inputBeschrKurz);
            $beschrLang = mxEntityQuotes($inputBeschrLang);
            $anzeigenJa = ($inputAnzeigen == "YES" ? ' checked="checked"' : "");
            $anzeigenNein = ($inputAnzeigen == "NO" ? ' checked="checked"' : "");
            $bildKlein = mxEntityQuotes($inputBildKlein_name);
            $bildGross = mxEntityQuotes($inputBildGross_name);
            $url1 = mxEntityQuotes($inputURL1);
            $url2 = mxEntityQuotes($inputURL2);
        } else {
            $gid = intval($row['gid']);
            $nname = mxEntityQuotes($row['nname']);
            $vname = mxEntityQuotes($row['vname']);
            $birthday = mxEntityQuotes($row['bday']);
            $stellung = mxEntityQuotes($row['stellung']);
            $email = mxEntityQuotes($row['email']);
            $beschrKurz = mxEntityQuotes($row['beschr_kurz']);
            $beschrLang = mxEntityQuotes($row['beschr_lang']);
            $anzeigenJa = ($row['anzeigen'] == 1 ? ' checked="checked"' : "");
            $anzeigenNein = ($row['anzeigen'] == 0 ? ' checked="checked"' : "");
            $bildKlein = mxEntityQuotes($row['bild_klein']);
            $bildGross = mxEntityQuotes($row['bild_gross']);
            $url1 = mxEntityQuotes($row['url1']);
            $url2 = mxEntityQuotes($row['url2']);
        }
    }

    if (($bildKlein == "") || (empty($bildKlein))) {
        $bildKlein = $vkp40;
    } else {
        $bildKlein = $bildKlein;
    }
    if (($bildGross == "") || (empty($bildGross))) {
        $bildGross = $vkp40;
    } else {
        $bildGross = $bildGross;
    }

    include("header.php");
    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();
    if ($tid != "neu") {
        Title(_TEAMDETTITLE);
    } else {
        Title(_TEAMNEWMEMBER);
    }

    if (!empty($errormsg)) {
        OpenTableAl();
        echo '<span class="content">' . $errormsg . '</span>' . "\n";
        CloseTableAl();
    }

    OpenTable();
    echo '<form enctype="multipart/form-data" action="' . adminUrl(PMX_MODULE) . '" method="post">' . "\n"
     . '<center>' . "\n"
     . '<span style="color:#FF0000;">* = ' . _TEAMOBLI . '</span><br /><br />' . "\n";

    /* Administrative data */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMFORMDATA . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:35%;"><strong>' . _TEAMID . '</strong><br />' . _TEAMNZINFO . '</td>' . "\n"
     . '<td style="width:65%; vertical-align:top;">-<strong>' . $tid . '</strong>-</td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMNPOSPART1 . '</strong><br />' . _TEAMNPOSPART2 . '</td>' . "\n";
    if ($tid != "neu") {
        echo '<td style="vertical-align:top;">-<strong>' . $pos . '</strong>-</td></tr>' . "\n";
    } else {
        echo '<td style="vertical-align:top;">&nbsp;</td></tr>' . "\n";
    }
    echo '<tr><td><strong>' . _TEAMLANGGROUP . '</strong></td>' . "\n"
     . '<td><select name="inputGruppe" size="1">' . "\n";
    $gresult = sql_query("SELECT * FROM " . $prefix . "_team_group ORDER by funktion ASC");
    if ($gid == 0) {
        echo '<option value="0" selected="selected">' . _TEAMNOGROUP . '</option>' . "\n";
    } else {
        echo '<option value="0">' . _TEAMNOGROUP . '</option>' . "\n";
    } while ($grow = sql_fetch_array($gresult)) {
        if ($grow['gid'] == $gid) {
            echo '<option value="' . $grow['gid'] . '" selected="selected">' . $grow['funktion'] . '</option>' . "\n";
        } else {
            echo '<option value="' . $grow['gid'] . '">' . $grow['funktion'] . '</option>' . "\n";
        }
    }
    echo '</select></td></tr>' . "\n"
     . '</table></fieldset>' . "\n";

    /* Personal data */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMFORMPERS . '</legend>' . "\n"
     . '<table style="width:90%;">' . "\n"
     . '<tr><td style="width:35%;"><strong>' . _TEAMTBNNAM . '</strong>';
    if ($mxTeamNickObli == "2" || $mxTeamNickObli == "3") {
        echo '<span style="color:#FF0000;">*</span></td>' . "\n";
    } else {
        echo '</td>' . "\n";
    }
    echo '<td style="width:65%;"><input type="text" size="40" name="inputNname" value="' . $nname . '" /></td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMTBVNAM . '</strong>';
    if ($mxTeamNickObli == "1" || $mxTeamNickObli == "3") {
        echo '<span style="color:#FF0000;">*</span></td>' . "\n";
    } else {
        echo '</td>' . "\n";
    }
    echo '<td><input type="text" size="40" name="inputVname" value="' . $vname . '" /></td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMLANGBIRTH . '</strong>';
    if ($mxTeamBirthObli == "YES") {
        echo '<span style="color:#FF0000;">*</span><br />' . "\n";
    } else {
        echo '<br />' . "\n";
    }
    echo _TEAMLANGBIRTHDESC . '</td>' . "\n"
     . '<td style="vertical-align:top;"><input type="text" size="40" name="inputBirth" value="' . $birthday . '" /></td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMEMAIL . '</strong>';
    if ($mxTeamEmailObli == "YES") {
        echo '<span style="color:#FF0000;">*</span></td>' . "\n";
    } else {
        echo '</td>' . "\n";
    }
    echo '<td><input type="text" size="40" name="inputEmail" value="' . $email . '" /></td></tr>' . "\n"
     . '</table></fieldset>' . "\n";

    /* Informations */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMMEMINFO . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:35%;"><strong>' . _TEAMTBSTELG . '</strong>' . "\n";
    if ($mxTeamInterObli == "YES") {
        echo '<span style="color:#FF0000;">*</span></td>' . "\n";
    } else {
        echo '</td>' . "\n";
    }
    echo '<td style="width:65%;"><input type="text" size="40" name="inputStellung" value="' . $stellung . '" /></td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMDETDESCSHORT . '</strong>' . "\n";
    if ($mxTeamShortDescObli == "YES") {
        echo '<span style="color:#FF0000;">*</span><br />' . "\n";
    } else {
        echo '<br />' . "\n";
    }
    echo _TEAMDETDESCSHORTHINT . '</td>' . "\n"
     . '<td><textarea rows="5" cols="50" name="inputBeschrKurz">' . $beschrKurz . '</textarea></td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMDETDESCLONG . '</strong>' . "\n";
    if ($mxTeamLongDescObli == "YES") {
        echo '<span style="color:#FF0000;">*</span><br />' . "\n";
    } else {
        echo '<br />' . "\n";
    }
    echo _TEAMDETDESCLONGHINT . '</td>' . "\n"
     . '<td><textarea rows="15" cols="50" name="inputBeschrLang">' . $beschrLang . '</textarea></td></tr>' . "\n"
     . '</table></fieldset>' . "\n";

    /* Picture data */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMADMINPICS . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:35%; vertical-align:top;">&nbsp;</td>' . "\n"
     . '<td style="width:65%;">' . "\n"
     . _TEAMPICSINFO . '&nbsp;' . _TEAMPICPHINFO1 . '&nbsp;&quot;<strong>' . $vkp40 . '</strong>&quot;&nbsp;' . _TEAMPICPHINFO2 . '<br /><br />' . "\n"
     . _TEAMPATHIS . '&nbsp;--&gt;&gt;&nbsp;<a href="' . adminUrl(PMX_MODULE, 'AdminDisplay') . '" target="_blank" title="' . _TEAMLANG24 . '">'
     . PMX_HOME_URL . '/' . $vkp19 . '</a><br /><br /></td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMDETPICSM . '</strong><span style="color:#FF0000;">*</span><br />' . "\n"
     . _TEAMNOTE . ':&nbsp;' . _TEAMDETPICSMHINT . '<br />' . "\n";

    $extensions = array('gif', 'jpg', 'jpeg', 'png');
    $handle = opendir($vkp19);
    while ($file = readdir($handle)) {
        $extension = strtolower(pathinfo($file, PATHINFO_EXTENSION));
        if (in_array($extension, $extensions)) {
            $filelist[] = $file;
        }
    }
    natcasesort($filelist);

    $list = array();
    foreach ($filelist as $key => $file) {
        $sel = ($bildKlein == $file) ? ' selected="selected" class="current"' : '';
        $list[] = '<option value="' . $file . '"' . $sel . '>' . $file . '</option>' . "\n";
    }
    reset($filelist);

    $list2 = array();
    foreach ($filelist as $key => $file) {
        $sel = ($bildGross == $file) ? ' selected="selected" class="current"' : '';
        $list2[] = '<option value="' . $file . '"' . $sel . '>' . $file . '</option>' . "\n";
    }

    echo '<td style="vertical-align:top;">' . "\n";
    echo '<select name="inputBildKlein">' . implode("\n", $list) . '</select><br />' . "\n"
     . '(' . _SHOWNTEAMPICSIZE . ':&nbsp;' . $vkp24 . '&nbsp;X&nbsp;' . $vkp25 . '&nbsp;' . _TEAMPICPIXEL . ')</td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMDETPICBG . '</strong><span style="color:#FF0000;">*</span><br />' . "\n"
     . _TEAMNOTE . ':&nbsp;' . _TEAMDETPICBGHINT . '<br />' . "\n";

    echo '<td style="vertical-align:top;">' . "\n";
    echo '<select name="inputBildGross">' . implode("\n", $list2) . '</select><br />', "\n"
     . '(' . _SHOWNTEAMPICSIZE . ':&nbsp;' . $vkp26 . '&nbsp;X&nbsp;' . $vkp27 . '&nbsp;' . _TEAMPICPIXEL . ')</td></tr>' . "\n"
     . '</table></fieldset>' . "\n";

    /* Website(s) */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMURL . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:35%;">&nbsp;</td>' . "\n"
     . '<td style="width:65%;">' . _TEAMMITHTTP . '<br /><br /></td></tr>' . "\n"
     . '<tr><td><strong>URL 1</strong></td>' . "\n"
     . '<td><input type="text" size="40" name="inputURL1" value="' . $url1 . '" /></td></tr>' . "\n"
     . '<tr><td><strong>URL 2</strong></td>' . "\n"
     . '<td><input type="text" size="40" name="inputURL2" value="' . $url2 . '" /></td></tr>' . "\n"
     . '</table></fieldset>' . "\n";

    /* Form action */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMSETACTION . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:35%;"><strong>' . _TEAMOPACT . '?</strong></td>' . "\n"
     . '<td style="width:65%;">' . "\n"
     . '<input type="radio" name="inputAnzeigen" value="YES"' . $anzeigenJa . ' />&nbsp;' . _YES . '&nbsp;&nbsp;' . "\n"
     . '<input type="radio" name="inputAnzeigen" value="NO"' . $anzeigenNein . ' />&nbsp;' . _NO . '<br /><br />' . "\n"
     . '</td></tr>' . "\n";
    if ($tid != "neu") {
        echo '<tr><td><strong><span style="color:#FF0000;">' . _TEAMDELTITLE . '?</span></strong></td>' . "\n"
         . '<td>'
         . '<input type="radio" name="teamLoeschen" value="YES" />&nbsp;' . _YES . '&nbsp;&nbsp;' . "\n"
         . '<input type="radio" name="teamLoeschen" value="NO" checked="checked" />&nbsp;' . _NO . '<br /><br /></td></tr>' . "\n";
    }
    echo '<tr><td>&nbsp;</td>' . "\n"
     . '<td>' . "\n"
     . '<input type="hidden" name="tid" value="' . $tid . '" />' . "\n"
     . '<input type="hidden" name="name" value="team" />' . "\n"
     . '<input type="hidden" name="op" value="' . PMX_MODULE . '/Detail" />' . "\n"
     . '<input type="hidden" name="modus" value="change" />' . "\n"
     . '<input type="submit" value="' . _TEAMDETSAVE . '" /><br /><br />' . "\n";
    echo '</td></tr></table></fieldset></center></form>' . "\n";

    CloseTable();
    include("footer.php");
}

/**
 * Create new or edit existing group
 */
function showDetailG($gid = "neu")
{
    global $prefix, $modus, $errors;
    global $inputGruppe, $gruppeLoeschen;

    if ($gruppeLoeschen == "YES") {
        delAbfrageG();
        return;
    }

    if ($modus == "change") {
        $errwd = writeDetailG();
        $errors = array_merge($errwd);
        if (count($errors) == 0) {
            showUebersicht();
            return;
        }
    }
	$errors=is_array($errors)?$errors:array();
    if (count($errors) >= 1) {
        $errormsg = '<font color="#FF0000">' . _ERRORGLOBAL . ':' . "\n" . '<ul>';
        foreach ($errors as $error) {
            $errormsg .= '<li>' . $error . '</li>' . "\n";
        }
        $errormsg .= '</ul></font><br />' . "\n";
    } else {
        $errormsg = "";
    }

    if ($gid == "neu" && count($errors) == 0) {
        $gruppe = "";
        $pos = "";
    } elseif ($gid == "neu" && count($errors) >= 1) {
        $gruppe = mxEntityQuotes($inputGruppe);
        $vname = mxEntityQuotes($inputVname);
        $pos = "";
    } else {
        $result = sql_query("SELECT * FROM " . $prefix . "_team_group WHERE gid='" . $gid . "'");
        $row = sql_fetch_array($result);
        $pos = $row['pos'];

        if ($modus == "change") {
            $gruppe = mxEntityQuotes($inputGruppe);
        } else {
            $gruppe = mxEntityQuotes($row['funktion']);
        }
    }

    include("header.php");
    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();
    if ($gid != "neu") {
        Title(_TEAMDETGTITLE);
    } else {
        Title(_TEAMNEWGROUP);
    }

    if (!empty($errormsg)) {
        OpenTableAl();
        echo '<span class="content">' . $errormsg . '</span>' . "\n";
        CloseTableAl();
    }

    OpenTable();
    echo '<form enctype="multipart/form-data" action="' . adminUrl(PMX_MODULE) . '" method="post">' . "\n"
     . '<center>' . "\n"
     . '<span style="color:#FF0000;">* = ' . _TEAMOBLI . '</span><br /><br />' . "\n";

    /* Group data */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMGROUPINFO . '</legend>' . "\n"
     . '<table style="width:90%;"><tr>' . "\n"
     . '<td style="width:35%;"><strong>' . _TEAMID . '</strong><br />' . _TEAMNZINFO . '</td>' . "\n"
     . '<td style="width:65%; vertical-align:top;">-<strong>' . $gid . '</strong>-</td></tr>' . "\n"
     . '<tr><td><strong>' . _TEAMNPOSPART1 . '</strong><br />' . _TEAMNPOSPART2 . '</td>' . "\n";
    if ($gid != "neu") {
        echo '<td style="vertical-align:top;">-<strong>' . $pos . '</strong>-</td></tr>' . "\n";
    } else {
        echo '<td style="vertical-align:top;">&nbsp;</td></tr>' . "\n";
    }
    echo '<tr><td><strong>' . _TEAMTBNNAM . '</strong><span style="color:#FF0000;">*</span></td>' . "\n"
     . '<td><input type="text" size="40" name="inputGruppe" value="' . $gruppe . '" maxlength="40" /></td></tr>' . "\n"
     . '</table></fieldset>' . "\n";

    /* Form action */
    echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMSETACTION . '</legend>' . "\n"
     . '<table style="width:90%;">' . "\n";
    if ($gid != "neu") {
        echo '<tr><td style="width:35%;"><strong><span style="color:#FF0000;">' . _TEAMDELGROUPTITLE . '?</span></strong></td>' . "\n"
         . '<td style="width:65%;">'
         . '<input type="radio" name="gruppeLoeschen" value="YES" />&nbsp;' . _YES . '&nbsp;&nbsp;' . "\n"
         . '<input type="radio" name="gruppeLoeschen" value="NO" checked="checked" />&nbsp;' . _NO . '<br /><br /></td></tr>' . "\n";
    }
    echo '<tr><td style="width:35%;">&nbsp;</td>' . "\n"
     . '<td style="width:65%;">' . "\n"
     . '<input type="hidden" name="gid" value="' . $gid . '" />' . "\n"
     . '<input type="hidden" name="name" value="team" />' . "\n"
     . '<input type="hidden" name="op" value="' . PMX_MODULE . '/DetailG" />' . "\n"
     . '<input type="hidden" name="modus" value="change" />' . "\n"
     . '<input type="submit" value="' . _TEAMDETSAVE . '" /><br /><br />' . "\n";
    echo '</td></tr></table></fieldset></center></form>' . "\n";
    CloseTable();
    include("footer.php");
}

/**
 * Security question befor deleting a member
 */
function delAbfrage()
{
    global $prefix, $tid;

    $result = sql_query("SELECT * FROM " . $prefix . "_team WHERE tid='" . $tid . "'");
    $row = sql_fetch_array($result);

    include("header.php");
    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();
    OpenTable();
    echo '<form action="' . adminUrl(PMX_MODULE) . '" method="get">'
     . '<center>' . "\n"
     . '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMDELTITLE . '</legend>' . "\n"
     . '<table style="width:90%"><tr>' . "\n"
     . '<td style="width:35%; vertical-align:top;">' . "\n"
     . '<span style="color:#FF0000"><strong>' . _TEAMDELMSG1 . ' ' . _TEAMDELMSG2 . '</strong></span></td>' . "\n"
     . '<td style="width:65%;">' . "\n"
     . _TEAMTBNNAM . ': <strong>' . $row['nname'] . '</strong><br />' . "\n"
     . _TEAMTBVNAM . ': <strong>' . $row['vname'] . '</strong><br /><br /><br /></td></tr>' . "\n";
    echo '<tr><td>' . "\n"
     . '<input type="hidden" name="name" value="team" />' . "\n"
     . '<input type="hidden" name="op" value="' . PMX_MODULE . '/DelJa" />' . "\n"
     . '<input type="hidden" name="tid" value="' . $tid . '" />' . "\n"
     . '<input type="submit" value="' . _TEAMDELYES . '" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . "\n"
     . '<input type="button" onClick="javascript:history.back();" value="' . _TEAMDELNO . '" /><br /><br /><br /></td>' . "\n"
     . '<td>&nbsp;</td></tr>' . "\n";
    if ($row['anzeigen'] == 1) {
        echo '<tr><td style="vertical-align:top;"><strong>' . _TEAMNOTE . '</strong></td>' . "\n"
         . '<td>' . _TEAMDELHINTMSG . ' '
         . '<a href="' . adminUrl(PMX_MODULE, 'ChgMod', 'tid=' . $row['tid']) . '"><strong>' . strtolower(_TEAMOPDEACT) . '</strong></a>.'
         . '</td></tr>' . "\n";
    }
    echo '</table></fieldset></center></form>' . "\n";
    CloseTable();
    include("footer.php");
}

/**
 * Security question befor deleting a group
 */
function delAbfrageG()
{
    global $prefix, $gid;

    $result = sql_query("SELECT COUNT(tid) FROM " . $prefix . "_team WHERE gid='" . $gid . "'");
    list($numEntries) = sql_fetch_row($result);

    $result = sql_query("SELECT * FROM " . $prefix . "_team_group WHERE gid='" . $gid . "'");
    $row = sql_fetch_array($result);

    include("header.php");
    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();
    OpenTable();
    echo '<form action="' . adminUrl(PMX_MODULE) . '" method="get">'
     . '<center>' . "\n"
     . '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMDELGROUPTITLE . '</legend>' . "\n"
     . '<table style="width:90%"><tr>' . "\n"
     . '<td style="width:35%; vertical-align:top;">' . "\n"
     . '<span style="color:#FF0000"><strong>' . _TEAMDELMSG3 . ' ' . _TEAMDELMSG2 . '</strong></span></td>' . "\n"
     . '<td style="width:65%;">' . "\n"
     . _TEAMTBNNAM . ': <strong>' . $row['funktion'] . '</strong><br /><br /><br /><br /></td></tr>' . "\n";
    echo '<tr><td>' . "\n"
     . '<input type="hidden" name="name" value="team" />' . "\n"
     . '<input type="hidden" name="op" value="' . PMX_MODULE . '/DelJaG" />' . "\n"
     . '<input type="hidden" name="gid" value="' . $gid . '" />' . "\n"
     . '<input type="submit" value="' . _TEAMDELYES . '" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . "\n"
     . '<input type="button" onClick="javascript:history.back();" value="' . _TEAMDELNO . '" /><br /><br /></td>' . "\n";
    if ($numEntries) {
        echo '<td><span style="color:#FF0000"><strong>' . _TEAMDELMSG4 . '</strong></span></td>' . "\n";
    } else {
        echo '<td>&nbsp;</td>' . "\n";
    }
    echo '</tr></table></fieldset></center></form>' . "\n";
    CloseTable();
    include("footer.php");
}

/**
 * Delete member data from database
 */
function delJa()
{
    global $prefix, $tid;

    sql_query("DELETE FROM " . $prefix . "_team WHERE tid='" . $tid . "'");
    showUebersicht();
}

/**
 * Delete group data from database
 */
function delJaG()
{
    global $prefix, $gid;

    /* Set group = 0 in member data*/
    sql_query("UPDATE " . $prefix . "_team SET gid='0' WHERE gid='" . $gid . "'");

    /* Delete group */
    sql_query("DELETE FROM " . $prefix . "_team_group WHERE gid='" . $gid . "'");
    showUebersicht();
}

/**
 * Activete / deactivate member
 */
function changeModus()
{
    global $prefix, $tid;

    $q = "SELECT anzeigen FROM " . $prefix . "_team WHERE tid='" . $tid . "'";
    $r = sql_fetch_row(sql_query($q));
    $q = "UPDATE " . $prefix . "_team SET anzeigen='" . ($r[0] == 0 ? 1 : 0) . "' WHERE tid='" . $tid . "'";
    sql_query($q);
    showUebersicht();
}

/**
 * Upload messages
 */
function uploadAdminImageMsg($title, $note, $color = "", $file = "", $alt = "")
{
    $out = '<table style="width:95%;"><tr><td style="width:25%;">' . "\n";
    if (empty($alt)) {
       // $alt = $file;
    }
	$picstyle=array("style"=>"max-height:150px;width:auto;max-width:250px;");
    if (!empty($file)) {
        $out .= mxCreateImage($file, $alt,$picstyle);
    } else {
        $out .= '&nbsp;';
    }
    $out .= '</td><td style="width:75%; vertical-align:top;">' . "\n";
    if (!empty($color)) {
        $out .= '<span style="color:' . $color . ';"><strong>' . $title . '</strong></span>' . "\n";
    } else {
        $out .= '<strong>' . $title . '</strong>' . "\n";
    }
    $out .= '<br /><br />' . $note . '.' . "\n"
     . '</td></tr></table>' . "\n";
    return $out;
}

/**
 * Save uploaded pictures
 */
function uploadAdminImage()
{
    global $img_name, $img_type, $img_size, $img, $submitted;
    global $vkp19, $vkp37, $vkp38, $vkp39;

		// todo : Bilder werden nicht hochgeladen 
	
    include("header.php");
    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();

    if ($_REQUEST['submitted']) {
        /* Security check */
        $bildcheck1 = "image/pjpeg";
        $bildcheck2 = "image/jpeg";
        $bildcheck3 = "image/jpg";
        $bildcheck4 = "image/gif";
        $bildcheck5 = "image/png";
        $bildcheck6 = "image/tiff";
        $bildcheck7 = "image/bmp";
        $bildcheck8 = "image/vnd.wap.wbmp";
        $bildcheck9 = "image/ief";
        $bildcheck10 = "image/x-x-portable-anymap";
        $bildcheck11 = "image/x-portable-bitmap";
        $bildcheck12 = "image/x-portable-graymap";
        $bildcheck13 = "image/x-portable-pixmap";
        $bildcheck14 = "image/x-rgb";
        $bildcheck15 = "image/x-xbitmap";
        $bildcheck16 = "image/x-xpixmap";
        $bildcheck17 = "image/x-xwindowdump";
        $bildcheck18 = "image/x-cmu-raster";
        $log = "";

		$valid_formats = array("jpg", "png", "gif", "bmp","jpeg");
		$max_file_size = $vkp37; //100 kb
		$path = $vkp19 . '/' ; // Upload directory
		$count = 0;
		
		$log = '<div align="center">' . "\n";
		
		if(isset($_POST) and $_SERVER['REQUEST_METHOD'] == "POST"){
			// Loop $_FILES to exeicute all files

			foreach ($_FILES['img']['name'] as $i => $name) {    
				$log .= '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . _TEAMUPLOADHAED . ' ' . ($i + 1) . '</legend>' . "\n";
				$img_name[$i]=$name;
				if ($name == "") {
                 /* Message -> Info: This upload is empty */
                 $log .= uploadAdminImageMsg(_TEAMLANG44, _TEAMEMPTYUPLOAD);
				} else {
					if (file_exists($vkp19 . '/' . $name)) {
						/* Message -> Note: The File $img_name[$i] is present at yet */
						$log .= uploadAdminImageMsg(_TEAMNOTE, _TEAMDATEI . ' &quot;' . $img_name[$i] . '&quot; ' . _TEAMFEXISTS, '#FF0000', $vkp19 . '/' . $img_name[$i], _TEAMTHISFILE . ': ' . $img_name[$i],"",$name, "style='max-width:150px'");
						
					} else {
					
						if ($_FILES['img']['error'][$i] == 4) {
							continue; // Skip file if any error found
						}	       
						if ($_FILES['img']['error'][$i] == 0) {	           
							if ($_FILES['img']['size'][$i] > $vkp37 && ($vkp38 == "YES") ) {
								$message[] = "$name is too large!.";
								$log .= uploadAdminImageMsg(_TEAMNOTE, _TEAMDATEI . ' &quot;' . $img_name[$i] . '&quot; ' . _TEAMFTOOBIG, '#FF0000',$name, "style='max-width:150px'");
								continue; // Skip large files
							}
							elseif( ! in_array(strtolower(pathinfo($name, PATHINFO_EXTENSION)), $valid_formats) ){
								$message[] = "$name is not a valid format";
								$log .= uploadAdminImageMsg(_TEAMNOTE, _TEAMDATEI . ' &quot;' . $img_name[$i] . '&quot; ' . _TEAMISNTIMG, '#FF0000',$name, "style='max-width:150px'");
								continue; // Skip invalid file formats
							}
							else{ // No error found! Move uploaded files 
								if(move_uploaded_file($_FILES["img"]["tmp_name"][$i], $path.$name)) {
								
								$count++; // Number of successfully uploaded file
								$log .= uploadAdminImageMsg(_TEAMLANG44, _TEAMDATEI . ' &quot;' . $img_name[$i] . '&quot; ' . _TEAMSUCCESSUP, '', $vkp19 .  $img_name[$i], _TEAMUPLOADHAED . ': ' . $img_name[$i],"",$name, "style='max-width:150px'");
								}
							}
						}
					}
				}
				$log .= '</fieldset>' . "\n";
			}
		}
		

        $log .= '</div>' . "\n";
        Title("\n" . _TEAMUPLOADMSG . "\n");
        if (!empty($log)) {
            OpenTable();
            echo $log;
            CloseTable();
            echo '<br />' . "\n";
        }
        include("footer.php");
        exit;
    }
}

/**
 * Show existing pictures
 */
function displayAdminImage ()
{
    global $prefix, $do_pic_del, $pic_del_name;
    global $vkp19, $vkp40;
	
    include("header.php");
    GraphicAdmin();
    Title(_TEAMTITLEMAIN);
    teamAdminMenu();
    if ((is_numeric($do_pic_del)) && ($do_pic_del == 1) && mxGetAdminPref("radminsuper")) {
        $pic_complete = $vkp19 . "/" . $pic_del_name;
        if (file_exists($pic_complete)) {
            $qklein = "UPDATE " . $prefix . "_team SET bild_klein='" . $vkp40 . "' WHERE tid='" . $pic_del_name . "'";
            sql_query($qklein);
            $qgross = "UPDATE " . $prefix . "_team SET bild_gross='" . $vkp40 . "' WHERE tid='" . $pic_del_name . "'";
            sql_query($qgross);
            @unlink($pic_complete);
            OpenTableAl();
            echo '<center>' . _TEAMDELPICINFO1 . '&nbsp;&quot;<strong>' . $pic_del_name . '</strong>&quot;&nbsp;' . _TEAMDELPICINFO2 . '<br />' . _TEAMDELPICINFO3 . '</center>' . "\n";
            CloseTableAl();
            echo '<br />' . "\n";
            unset($pic_complete, $qklein, $qgross);
        }
    }
    unset($do_pic_del, $pic_del_name);

    Title("\n" . _TEAMPICVIEW . "\n");
    OpenTable();
    echo '<div>' . "\n";
    $direktori = $vkp19;
    $handle = opendir($direktori);
    while ($file = readdir($handle)) {
        $filelist[] = $file;
    }
    asort($filelist);
    foreach ($filelist as $key => $file) {
		$filenames=explode(".", $file);
        $extension = strtolower(end($filenames));
		$picstyle=array("style"=>"max-height:150px;width:auto;max-width:250px;");
        if ($extension == "gif" || $extension == "jpg" || $extension == "jpeg" || $extension == "png") {
            $info = getimagesize($direktori . "/" . $file);
            $width = $info[0];
            $height = $info[1];
            $mime = $info['mime'];
            echo '<fieldset ' . mxTeamStyleFieldset() . '><legend ' . mxTeamStyleLegend() . '>' . $file . '</legend>' . "\n"
             . '<table style="width:90%;"><tr>' . "\n"
             . '<td style="width:35%;">' . mxCreateImage($direktori . '/' . $file, $file,$picstyle) . '</td>' . "\n"
             . '<td style="width:65%;">' . "\n";
            echo '<strong>' . _TEAMPICINFO . '</strong><br /><br />' . "\n"
             . _TEAMPICWIDTH . ': ' . $width . ' ' . _TEAMPICPIXEL . '<br />' . "\n"
             . _TEAMPICHEIGTH . ': ' . $height . ' ' . _TEAMPICPIXEL . '<br />' . "\n"
             . _TEAMPICMIME . ': ' . $mime . '<br /><br /><br />' . "\n";
            if ($file != $vkp40 && mxGetAdminPref("radminsuper")) {
                echo '<form action="' . adminUrl(PMX_MODULE) . '" method="post">' . "\n"
                 . '<input type="checkbox" value="1" name="do_pic_del" />' . "\n"
                 . '<input type="hidden" name="pic_del_name" value="' . $file . '" />' . "\n"
                 . '<input type="hidden" name="op" value="' . PMX_MODULE . '/AdminDisplay" />' . "\n"
                 . '&nbsp;&nbsp;<input type="submit" value="' . _TEAMPICBTDEL . '" name="do_pic_del_btn" />' . "\n"
                 . '</form>' . "\n";
            } elseif ($file == $vkp40) {
                echo '<strong>' . _TEAMPLACEHOLDER . '</strong>' . "\n";
            }
            echo '</td></tr></table></fieldset>' . "\n";
        }
    }
    echo '</div>' . "\n";
    CloseTable();
    include("footer.php");
    exit;
}

/**
 * Change members rank in user view
 */
function changePos($modus)
{
    global $prefix, $tid;

    $tid = (intval($tid));

    $q = "SELECT pos FROM " . $prefix . "_team WHERE tid='" . $tid . "'";
    $row = sql_fetch_array(sql_query($q));
    $pos_alt = $row['pos'];
    $tid_alt = $tid;

    switch ($modus) {
        case "hoch":
            $q = "SELECT tid, pos FROM " . $prefix . "_team WHERE pos<'" . $pos_alt . "' ORDER BY pos DESC LIMIT 1";
            break;

        case "runter":
            $q = "SELECT tid, pos FROM " . $prefix . "_team WHERE pos>'" . $pos_alt . "' ORDER BY pos ASC LIMIT 1";
            break;

        default:
            return;
            break;
    }

    $r = sql_query($q);
    if (sql_num_rows($r) == 1) {
        $row = sql_fetch_array($r);
        $pos_neu = $row['pos'];
        $tid_neu = $row['tid'];
        // !!!Nummern tauschen - ACHTUNG! UNIQUE NUMBERS!!!
        $q_alt_tmp = "UPDATE " . $prefix . "_team SET pos='-1' WHERE tid='" . $tid_alt . "'";
        $q_neu = "UPDATE " . $prefix . "_team SET pos='" . $pos_alt . "' WHERE tid='" . $tid_neu . "'";
        $q_alt = "UPDATE " . $prefix . "_team SET pos='" . $pos_neu . "' WHERE tid='" . $tid_alt . "'";
        sql_query($q_alt_tmp);
        sql_query($q_neu);
        sql_query($q_alt);
    } else {
    }

    showUebersicht();
}

/**
 * Change groups rank in user view
 */
function changePosG($modus)
{
    global $prefix, $gid;

    $gid = (intval($gid));

    $g_q = "SELECT pos FROM " . $prefix . "_team_group WHERE gid='" . $gid . "'";
    $g_row = sql_fetch_array(sql_query($g_q));
    $g_pos_alt = $g_row['pos'];
    $g_gid_alt = $gid;

    switch ($modus) {
        case "hoch":
            $g_q = "SELECT gid, pos FROM " . $prefix . "_team_group WHERE pos<'" . $g_pos_alt . "' ORDER BY pos DESC LIMIT 1";
            break;

        case "runter":
            $g_q = "SELECT gid, pos FROM " . $prefix . "_team_group WHERE pos>'" . $g_pos_alt . "' ORDER BY pos ASC LIMIT 1";
            break;

        default:
            return;
            break;
    }

    $g_r = sql_query($g_q);
    if (sql_num_rows($g_r) == 1) {
        $g_row = sql_fetch_array($g_r);
        $g_pos_neu = $g_row['pos'];
        $g_gid_neu = $g_row['gid'];
        // !!!Nummern tauschen - ACHTUNG! UNIQUE NUMBERS!!!
        $g_q_alt_tmp = "UPDATE " . $prefix . "_team_group SET pos='-1' WHERE gid='" . $g_gid_alt . "'";
        $g_q_neu = "UPDATE " . $prefix . "_team_group SET pos='" . $g_pos_alt . "' WHERE gid='" . $g_gid_neu . "'";
        $g_q_alt = "UPDATE " . $prefix . "_team_group SET pos='" . $g_pos_neu . "' WHERE gid='" . $g_gid_alt . "'";
        sql_query($g_q_alt_tmp);
        sql_query($g_q_neu);
        sql_query($g_q_alt);
    } else {
    }

    showUebersicht();
}

/**
 * Admin menu
 */
function teamAdminMenu()
{
    global $aidname;
    OpenTable();
    echo '<div align="center">' . "\n"
     . '<font class="content"><strong>[&nbsp;' . "\n"
     . '<a href="' . adminUrl(PMX_MODULE) . '" title="' . _TEAMADMINCENTER . '">' . _TEAMADMINCENTER . '</a>&nbsp;&#x2022;' . "\n";
    if (mxGetAdminPref("radminsuper")) {
        echo '<a href="' . adminUrl(PMX_MODULE, 'AdminConfig') . '" title="' . _TEAMSETTINX . '">' . _TEAMSETTINX . '</a>&nbsp;&#x2022;' . "\n";
    }
    echo '<a href="modules.php?name=Team" title="' . _TEAMTITLEUSER . '">' . _TEAMUSERVIEW . '</a>&nbsp;]<br /><br />[&nbsp;' . "\n"
     . '<a href="' . adminUrl(PMX_MODULE, 'Add') . '" title="' . _TEAMPICNOTE . '">' . _TEAMNEWMEMBER . '</a>&nbsp;&#x2022;' . "\n";
    if (mxGetAdminPref("radminsuper")) {
        echo '<a href="' . adminUrl(PMX_MODULE, 'groupAdd') . '" title="' . _TEAMTITLEGROUP . '">' . _TEAMNEWGROUP . '</a>&nbsp;&#x2022;' . "\n";
    }
    echo '<a href="' . adminUrl(PMX_MODULE, 'AdminDisplay') . '" title="' . _TEAMPICVIEW . '">' . _TEAMPICVIEW . '</a>&nbsp;&nbsp;]' . "\n"
     . '</strong></font><br /><br />(' . _TEAMADMIN . '&nbsp;<i>' . $aidname . '</i>&nbsp;ok!)</div>' . "\n";
    CloseTable();
    echo '<br />' . "\n";
}

/**
 * Style code for <fieldset>
 */
function mxTeamStyleFieldset()
{
    global $mxTeamColor1;
    $out = 'style="margin: 0 0 2em 0; padding: 1em .5em .5em .5em; border: 1px solid ' . $mxTeamColor1 . '"';
    return $out;
}

/**
 * Style code for <legend>
 */
function mxTeamStyleLegend()
{
    global $mxTeamColor1, $mxTeamColor2;
    $out = 'style="background: ' . $mxTeamColor2 . '; border: 1px solid ' . $mxTeamColor1 . '; padding: 2px 6px; font-weight: bold;"';
    return $out;
}

/**
 * Selection, which function should be called
 */
if (($mxTeamAllAdmin == 1 && MX_IS_ADMIN) || mxGetAdminPref("radminsuper")) {
    switch ($op) {
		case PMX_MODULE . "/Install":
			require_once ("includes/mx_install.php");
			include ("modules/".$module_name."/core/install.tabledef.php");
			mxRedirect("admin.php?op=".PMX_MODULE);
		
        case PMX_MODULE . "/Del":
            if (mxGetAdminPref("radminsuper")) {
                delAbfrage();
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/DelG":
            if (mxGetAdminPref("radminsuper")) {
                delAbfrageG();
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/DelJa":
            delJa();
            break;

        case PMX_MODULE . "/DelJaG":
            delJaG();
            break;

        case PMX_MODULE . "/AdminImage":
            uploadAdminImage();
            break;

        case PMX_MODULE . "/AdminDisplay":
            displayAdminImage();
            break;

        case PMX_MODULE . "/Detail":
            showDetail($tid);
            break;

        case PMX_MODULE . "/DetailG":
            if (mxGetAdminPref("radminsuper")) {
                showDetailG($gid);
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/Add":
            showDetail();
            break;

        case PMX_MODULE . "/groupAdd":
            if (mxGetAdminPref("radminsuper")) {
                showDetailG();
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/ChgMod":
            if (mxGetAdminPref(_TEAMNOTALLOWED)) {
                changeModus();
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/Pos":
            if (mxGetAdminPref("radminsuper")) {
                changePos($modus);
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/PosG":
            if (mxGetAdminPref("radminsuper")) {
                changePosG($modus);
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/AdminConfig":
            if (mxGetAdminPref("radminsuper")) {
                teamAdminConfig();
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;

        case PMX_MODULE . "/AdminConfigSave":
            if (mxGetAdminPref("radminsuper")) {
                teamAdminConfigSave($xset19, $xset24, $xset25, $xset26, $xset27, $xset28, $xset37, $xset38, $xset39, $xset40, $xsetmxTeamCol, $xsetmxTeamDetail, $xsetmxTeamNickObli, $xsetmxTeamBirthObli, $xsetmxTeamInterObli, $xsetmxTeamEmailObli, $xsetmxTeamShortDescObli, $xsetmxTeamLongDescObli, $xsetmxTeamInactive, $xsetmxTeamColor1, $xsetmxTeamColor2, $xsetmxTeamAllAdmin, $xsetmxTeamSortOverview);
            } else {
                mxErrorScreen(_TEAMNOTALLOWED);
                die();
            }
            break;
        default:
            showUebersicht();
            break;
    }
} else {
    mxErrorScreen(_TEAMNOTALLOWED);
    die();
}

?>