<?php
/**
 * Mx-CMS WebPortal-System
 * =======================
 *
 * Language file for Team (Staff) - Gallery by MvW/RtR
 * Copyright (c) 2005 by MvW/RtR for Mx-CMS Version Mx-1.1.0
 *
 * This program is free software. You can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 */

/**
 * This is the language file with all the system messages
 *
 * If you made a translation, please go to the site and send to me
 * the translated file. Please keep the original text order by modules,
 * and just one message per line, also double check your translation!
 *
 * You need to change the second quoted phrase, not the capital one!
 */

/**
 * French language file, translated by:
 * Thierry Russel aka diabolo from www.pragmamx.fr
 *
 * Source: modules/Team/language/lang-french.php,v $
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */
// Team-Sprachtags
define("_TEAMMEMBER", "Site de l'équipe");
define("_TEAMTITLEMAIN", "Notre équipe :");
define("_TEAMNEWMEMBER", "Création d'un membre");
define("_TEAMTBPOS", "Position");
define("_TEAMTBNNAM", "Prénom");
define("_TEAMTBVNAM", "Pseudo");
define("_TEAMMEMINFO", "Information");
define("_TEAMMEMKINFO", "Courte-Info");
define("_TEAMTBSTELG", "Centres d'intérêts");
define("_TEAMTBMODUS", "Statut");
define("_TEAMTBOPS", "Fonctions");
define("_TEAMOPDEL", "Supprimer");
define("_TEAMOPCNG", "Modifier");
define("_TEAMOPACT", "Activer");
define("_TEAMOPDEACT", "Cacher");
define("_TEAMMODACT", "Actif");
define("_TEAMMODDEACT", "Inactif");
define("_TEAMEMAILSEND", "Envoyer un courriel à ce membre de l'équipe");
define("_TEAMEMAIL", "Courriel");
define("_TEAMADMIN", "Synchronisation avec la base de données comme");
define("_TEAMTITLEABOUT", "Voici les membres de notre équipe");
define("_TEAMKLICKDRAUF", "Si vous souhaitez avoir plus d'informations sur un membre, cliquez sur son image");
define("_TEAMYES", "Oui");
define("_TEAMNO", "Non");

define("_TEAMDETTITLE", "Ajout d'un membre à l'équipe");
define("_TEAMDETDESCSHORT", "Description succinte");
define("_TEAMDETDESCLONG", "Description longue");
define("_TEAMDETDESCLONGHINT", "(Texte de la vue détaillée)");
define("_TEAMDETDESCSHORTHINT", "(Texte de la vue d'ensemble)");
define("_TEAMDETSAVE", "Ajouter");
define("_TEAMDETBACK", "Retour");
define("_TEAMDETDEL", "Supprimer");
define("_TEAMDETPICSM", "Petite image");
define("_TEAMDETPICSMHINT", "Cette image sera affichée dans la vue d'ensemble.");
define("_TEAMDETPICBG", "Grande image");
define("_TEAMDETPICBGHINT", "Cette image sera affichée dans la vue détaillée.");

define("_TEAMDELTITLE", "Supprimer un membre de l'équipe");
define("_TEAMDELMSG1", "Voici ci-dessous le membre que vous souhaitez supprimer de votre équipe :");
define("_TEAMDELMSG2", "Etes vous sûr? Cette action prend effet immédiatement !");
define("_TEAMDELYES", " Oui ");
define("_TEAMDELNO", " Non ");
define("_TEAMPATHIS", "Chemin du serveur");
define("_TEAMPICSINFO", "(Vous pouvez utiliser deux images différentes. La petite pour la vue d'ensemble et la grande pour la vue détaillée)");
define("_TEAMADMINPICS", "Images pour la vue d'ensemble");
define("_SHOWNTEAMPICSIZE", "Taille de l'image");
define("_TEAMDELHINTMSG", "Si vous voulez désactiver temporairement un membre, vous pouvez régler le profil");

define("_TEAMDELPICTITLE", "Supprimer des images");
define("_TEAMDELPICMSG1", "Étes vous sûr de vouloir supprimer l'image");
define("_TEAMDELPICMSG2", "oui maintenant ??");

define("_TEAMDELPICINFO1", "L'image");
define("_TEAMDELPICINFO2", "a été supprimée.");
define("_TEAMDELPICINFO3", "La base de données a été actualisée.");

define("_TEAMSETTINX", "Réglages du module");

define("_TEAMTOPVIEW", "Vue de l'ensemble de l'équipe");
define("_TEAMNTOPVIEW", "retour à la liste");
define("_TEAMNZINFO", "(Seulement pour information)");
define("_TEAMNPOSPART1", "Position dans la vue d'ensemble");
define("_TEAMNPOSPART2", "(Vous pouvez changer cette position dans l'administration du module)");

define("_TEAMEMPTYUPLOAD", "Cet envoi est vide");
define("_TEAMUPLOADHAED", "Envoyer des images");
define("_TEAMUPLOADBTN", "Envoyer");
define("_TEAMUPLOADMSG", "Fichier journal de votre envoi");
define("_TEAMPICINFO", "Info");
define("_TEAMPICWIDTH", "Largeur");
define("_TEAMPICHEIGTH", "Hauteur");
define("_TEAMPICMIME", "Type d'image");
define("_TEAMPICPIXEL", "Pixels");
define("_TEAMPICVIEW", "Image(s) stockée(s)");
define("_TEAMPLACEHOLDER", "Image par défaut");
define("_TEAMPICPHINFO1", "L'image par défaut");
define("_TEAMPICPHINFO2", "est utilisée si vous n'envoyez pas d'image.");
// Errors
define("_TEAMNOACCEESS", "!!! Pas d'accès !!!");
define("_ERRORGLOBAL", "Ooopps, il y a des erreurs...");
define("_ERROR1", "!!! Manque le prénom !!!");
define("_ERROR2", "!!! Manque le pseudo !!!");
define("_ERROR3", "!!! Manque les centres d'intérêts !!!");
define("_ERROR4", "!!! Manque la description courte !!!");
define("_ERROR5", "!!! Manque les informations détaillées !!!");
define("_ERROR6", "!!! Manque la petite image !!!");
define("_ERROR7", "!!! Manque la grande image !!!");

define("_TEAMIMGNOUP", "Vous avez la première position");
define("_TEAMIMGUP", "Monter d'un rang");
define("_TEAMIMGNODOWN", "Vous avez la dernière position");
define("_TEAMIMGDOWN", "Baisser d'un rang");
define("_TEAMFILE", "Fichier");
define("_TEAMFTP", "Vous devez envoyer le(s) fichier(s) en FTP");
define("_TEAMODER", "ou");
define("_TEAMUPLOADER", "avec <a href=\"modules.php?name=Uploader\"><strong>L'envoyeur</strong></a> de votre site web");
define("_TEAMNOTE", "Note");
define("_TEAMADMINCENTER", "Administration");
define("_TEAMTITLEADMINCENTER", "Retour à l'administration");
define("_TEAMPICNOTE", "Créer un nouveau membre");
define("_TEAMUSERVIEW", "Vue d'ensemble");
define("_TEAMTITLEUSER", "Voici la vue d'ensemble");
define("_TEAMKURZINFO", "Description succinte");
define("_TEAMINTROABOUT", "A propos de");
define("_TEAMALTKPIC", "Plus d'informations à propos de");
define("_TEAMURL", "Site(s) de référence(s)");
define("_TEAMMITHTTP", "ATTENTION :Entrez l'URL en commençant par: http://");

define("_TEAMDATEI", "Le fichier");
define("_TEAMFEXISTS", "est déjà présent");
define("_TEAMFTOOBIG", "est trop volumineux - Vérifier les réglages");
define("_TEAMCANTCOPY", "n'a pas été copié sur le serveur");
define("_TEAMSUCCESSUP", "a été copié avec succès sur votre serveur");
define("_TEAMISNTIMG", "n'est pas une image");
define("_TEAMTHISFILE", "Fichier éxistant");
define("_TEAMVERZEICHNIS", "Le répertoire");
define("_TEAMCHMOD777", "n'est pas présent ou le CHMOD est invalide - Veuillez CHMODEr en 777");

define("_TEAMLANG3", "Nombre de formulaires d'envois:");
define("_TEAMLANG7", "<<-- Activer immédiatement");
define("_TEAMLANG8", "Retour vers");
define("_TEAMLANG16", "Vérifier la taille du fichier pendant l'envoi:");
define("_TEAMLANG17", "Taille des images dans la vue d'ensemble:");
define("_TEAMLANG18", "Taille des images dans la vue détaillée:");
define("_TEAMLANG24", "Chemin web pour les images:");
define("_TEAMLANG25", "Nom des images de remplacement:");
define("_TEAMLANG33", "Poids maximum par fichiers envoyés:");
define("_TEAMLANG39", "et est correctement CHMODé.");
define("_TEAMLANG40", "mais il est protégé en écriture. Veuillez CHMOder pour sauver les modifications !");
define("_TEAMLANG41", "Le fichier");
define("_TEAMLANG42", "est présent");
define("_TEAMLANG43", "n'est pas présent.");
define("_TEAMLANG44", "Info");
// Erweiterungen ab V1.2.1
define("_TEAMLANGCOL", "Colonnes dans la vue utilisateurs");
define("_TEAMLANGDETAIL", "Afficher les détails utilisateurs ?");
define("_TEAMLANGBIRTH", "Date de naissance");
define("_TEAMLANGBIRTHDESC", "La date ne sera pas vérifiée si elle est correcte!");
define("_ERROR8", "!!! Manque le courriel !!!");
define("_ERROR9", "!!! Manque la date de naissance !!!");
// Erweiterungen ab V1.3.0
define("_TEAMLANGGROUP", "Groupe");
define("_ERROR10", "!!! Manque le groupe !!!");
define("_TEAMTITLEGROUP", "Créer un nouveau groupe");
define("_TEAMNEWGROUP", "Créer le groupe");
define("_TEAMSETGLOBAL", "Géneral");
define("_TEAMSETPICTURES", "Image");
define("_TEAMOBLI", "Champs obligatoire");
define("_TEAMSETOBLI", "Champs obligatoires");
define("_TEAMSETACTION", "Action");
define("_TEAMFORMPERS", "Personel");
define("_TEAMID", "ID");
define("_TEAMPICBTDEL", "- Supprimer -");
define("_TEAMDELGROUPTITLE", "Supprimer un groupe");
define("_TEAMDELMSG3", "Supprimer ce groupe");
define("_TEAMDETGTITLE", "Changer le groupe");
define("_TEAMGROUPINFO", "Données du groupe");
define("_TEAMFORMDATA", "Données administratives");
define("_TEAMINACTIVE", "Présente les membres inactifs");
define("_TEAMLANGSHOWINACTIVE", "Afficher les membres inactifs?");
define("_TEAMLINKTITLE", "Equipe");
define("_TEAMLANGCOLOR1", "Couleur pour la frame");
define("_TEAMLANGCOLOR2", "Couleur pour le fond du titre");
define("_TEAMMOREMEMBERS", "Autres membres");
define("_TEAMNOGROUP", "Sans affiliation au groupe");
define("_TEAMVER", "Version");
define("_TEAMNOTALLOWED", "Nous n'êtes pas autorisé à utiliser cette fonction.");
define("_ERROR11", "!!! Courriel invalide !!!");
define("_TEAMADMINALL", "Quel administrateur peut changer les profils?");
define("_TEAMADMINSUPER", "Seulement le super administrateur");
define("_TEAMDELMSG4", "!! Note !!<br />Il y a déjà des membres dans ce groupe.");
define("_TEAMADMINSORTOVERVIEW", "Sorte de vue d'ensemble ensuite");

define("_TEAMLNK", "Team");
define("_TEAMODHIDDEN", "Hidden");
define("_TEAMPAUSED", "This team member is at present not active");
define("_TEAMLANG9", "Show right Blocks?");
define("_TEAMLANG45", "Indicate inactive team members (with reference text)");
define("_TEAMLANG46", "as HEX-Value");
define("_TEAMLANG47", "Spancolor for inactive team members");

define("_BLOCKSHOW_RIGHT", "Afficher les blocs de droite");

?>