<?php
/**
 * Mx-CMS WebPortal-System
 * =======================
 *
 * Language file for Team (Staff) - Gallery by MvW/RtR
 * Copyright (c) 2005 by MvW/RtR for Mx-CMS Version Mx-1.1.0
 *
 * This program is free software. You can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 */

/**
 * This is the language file with all the system messages
 *
 * If you made a translation, please go to the site and send to me
 * the translated file. Please keep the original text order by modules,
 * and just one message per line, also double check your translation!
 *
 * You need to change the second quoted phrase, not the capital one!
 */

/**
 * Turkish language file, translated by:
 * Sıtkı Özkurt from www.akcaabat-acisu.com
 *
 * Source: modules/Team/language/lang-turkish.php,v $
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */
// Ekip-Dil Tagleri

define("_TEAMMEMBER", "WEB-Editörleri");
define("_TEAMTITLEMAIN", "Editörler-Galerisi");
define("_TEAMNEWMEMBER", "Yeni Editör ekle");
define("_TEAMTBPOS", "Pozisyon");
define("_TEAMTBNNAM", "İsim");
define("_TEAMTBVNAM", "Kullanıcı adı");
define("_TEAMMEMINFO", "Bilgiler");
define("_TEAMMEMKINFO", "Kısa Bilgi");
define("_TEAMTBSTELG", "İlgi Alanı");
define("_TEAMTBMODUS", "Durum");
define("_TEAMTBOPS", "Fonksiyonlar");
define("_TEAMOPDEL", "Sil");
define("_TEAMOPCNG", "Düzenle");
define("_TEAMOPACT", "Aktifleştir");
define("_TEAMOPDEACT", "Pasifleştir");
define("_TEAMMODACT", "Aktif");
define("_TEAMMODDEACT", "Pasif");
define("_TEAMEMAILSEND", "bu Editöre e-posta gönder");
define("_TEAMEMAIL", "E-posta");
define("_TEAMADMIN", "Veritabanı senkronizesi olarak");
define("_TEAMTITLEABOUT", "Moderatör / Editörler hakkında Özet");
define("_TEAMKLICKDRAUF", "Daha geniş Bilgiler için lütfen seçili Resim'i tıklayınız");
define("_TEAMYES", "Evet");
define("_TEAMNO", "Hayır");

define("_TEAMDETTITLE", "Editör düzenle");
define("_TEAMDETDESCSHORT", "kısa Tanıtım");
define("_TEAMDETDESCLONG", "uzun Tanıtım");
define("_TEAMDETDESCLONGHINT", "Detaylı görünüm için");
define("_TEAMDETDESCSHORTHINT", "İçindekiler için");
define("_TEAMDETSAVE", "onayla");
define("_TEAMDETBACK", "Geri");
define("_TEAMDETDEL", "Sil");
define("_TEAMDETPICSM", "Küçük Resim");
define("_TEAMDETPICSMHINT", "Bu Resim <strong>İçindekiler</strong> de gösteriliyor");
define("_TEAMDETPICBG", "Büyük Resim");
define("_TEAMDETPICBGHINT", "Bu Resim <strong>Detaylı görünüm</strong> de gösteriliyor");

define("_TEAMDELTITLE", "Editörü sil");
define("_TEAMDELMSG1", "Editör");
define("_TEAMDELMSG2", "gerçekten silinsin mi?");
define("_TEAMDELYES", "&nbsp;&nbsp;Evet&nbsp;&nbsp;");
define("_TEAMDELNO", "&nbsp;Hayır&nbsp;");
define("_TEAMPATHIS", "Resim dizin yolu");
define("_TEAMPICSINFO", "Kullanıcılar görüntüsü için resimler (küçük / büyük Resim) aynı veya değişik olabilir");
define("_TEAMADMINPICS", "Kullanıcılar görüntüsü için resimler");
define("_SHOWNTEAMPICSIZE", "Gösterilen Resim Büyüklüğü");
define("_TEAMDELHINTMSG", "Eğer bu Editör özet'te sadece geçici olarak gösterilmiyorsa o zaman bunu da");

define("_TEAMDELPICTITLE", "Resim'i sil");
define("_TEAMDELPICMSG1", "Resim'i gerçekten");
define("_TEAMDELPICMSG2", "silmek mi istiyorsun?");

define("_TEAMDELPICINFO1", "Resim");
define("_TEAMDELPICINFO2", "silindi.");
define("_TEAMDELPICINFO3", "Veritabanı güncellendi.");

define("_TEAMSETTINX", "Modül-Ayarları");

define("_TEAMTOPVIEW", "İçindekiler");
define("_TEAMNTOPVIEW", "Özet'e geri dön");
define("_TEAMNZINFO", "Sadece bilgi niteliğinde");
define("_TEAMNPOSPART1", "Kullanıcı görüntüsündeki sıra");
define("_TEAMNPOSPART2", "Gösterim sırası özet'te değiştirilebilir");

define("_TEAMEMPTYUPLOAD", "Bu Ekleme mümkün oldu");
define("_TEAMUPLOADHAED", "Dosya Ekle");
define("_TEAMUPLOADBTN", "Uygula");
define("_TEAMUPLOADMSG", "Dosya Eklemenin Raporları");
define("_TEAMPICINFO", "Resim bilgisi");
define("_TEAMPICWIDTH", "Genişlik");
define("_TEAMPICHEIGTH", "Yükseklik");
define("_TEAMPICMIME", "Tip");
define("_TEAMPICPIXEL", "Piksel");
define("_TEAMPICVIEW", "Varolan Resimler");
define("_TEAMPLACEHOLDER", "Bu Resim yer tutandır");
define("_TEAMPICPHINFO1", "Resim secimi yapılmadıysa şimdilik");
define("_TEAMPICPHINFO2", "Resim yeri olarak kullanılmaktadır");
// Hatalar
define("_TEAMNOACCEESS", "!!! Erişim engellendi !!!");
define("_ERRORGLOBAL", "Bu belirtilen Hatalar ortaya çıkmıştır");
define("_ERROR1", "!!! İsim yok !!!");
define("_ERROR2", "!!! Kullanıcı adı yok !!!");
define("_ERROR3", "!!! Ağırlık yok / İlgiler yok!!!");
define("_ERROR4", "!!! Kısa bilgi yok (özet) !!!");
define("_ERROR5", "!!! Bilgi yok (Detaylı görünüm) !!!");
define("_ERROR6", "!!! Küçük Resim yok !!!");
define("_ERROR7", "!!! Büyük Resim yok !!!");

define("_TEAMIMGNOUP", "En yüksekteki pozisyona erişilmiştir");
define("_TEAMIMGUP", "KULLANICI GÖRÜNÜM pozisyonunu YUKARIYA kaydır");
define("_TEAMIMGNODOWN", "En aşağıdaki pozisyona erişilmiştir");
define("_TEAMIMGDOWN", "KULLANICI GÖRÜNÜM pozisyonunu AşAğIYA kaydır");
define("_TEAMFILE", "Dosya");
define("_TEAMFTP", "Resim / Resimler FTP üzerinden");
define("_TEAMODER", "veya");
define("_TEAMUPLOADER", "<a href=\"modules.php?name=Uploader\"><strong>Uploader</strong></a> ile Server'e yüklenmesi gerekir");
define("_TEAMNOTE", "Not");
define("_TEAMADMINCENTER", "Yönetici Menüsü");
define("_TEAMTITLEADMINCENTER", "Genel yönetici alanına geri dön");
define("_TEAMPICNOTE", "Özet'e Editör ekle");
define("_TEAMUSERVIEW", "Kullanıcı görümü");
define("_TEAMTITLEUSER", "Kullanıcılar bu şekilde görmekteler");
define("_TEAMKURZINFO", "Kısa Tanıtım");
define("_TEAMINTROABOUT", "Hakkında,");
define("_TEAMALTKPIC", "Daha fazla Bilgi");
define("_TEAMURL", "Website(ler) / Referans(lar)");
define("_TEAMMITHTTP", "URL mecburen http://  <i>ile</i> kayıt edilmesi gerek!");

define("_TEAMDATEI", "Bu Dosya");
define("_TEAMFEXISTS", "zaten sunucuda var");
define("_TEAMFTOOBIG", "Ekleme için büyük");
define("_TEAMCANTCOPY", "Server'e aktarılamadı");
define("_TEAMSUCCESSUP", "Server'e kopyalandı");
define("_TEAMISNTIMG", "Resim Dosyası teşkil etmiyor");
define("_TEAMTHISFILE", "Varolan Dosya");
define("_TEAMVERZEICHNIS", "Bu Dizin");
define("_TEAMCHMOD777", "yok veya CHMOD 777 konulmamış");

define("_TEAMLANG3", "Kaç tane Ekleme");
define("_TEAMLANG7", "<<-- hemen aktifleştirilecek");
define("_TEAMLANG8", "Geriye dön");
define("_TEAMLANG16", "Eklemeyi kontrol et (= Büyüklük)");
define("_TEAMLANG17", "Özet'te Resim");
define("_TEAMLANG18", "Detaylı görünümde Resim");
define("_TEAMLANG24", "Yönetici resimlerinin Dizin yolu");
define("_TEAMLANG25", "Yer tutanın İsmi");
define("_TEAMLANG33", "Maksimum Dosya büyüklüğü");
define("_TEAMLANG39", "ve kayıt yapmak için onaylanmıştır");
define("_TEAMLANG40", "ve <font color=\"#FF0000\">yazı korumalıdır!</font>");
define("_TEAMLANG41", "Bu Dosya");
define("_TEAMLANG42", "var");
define("_TEAMLANG43", "yok");
define("_TEAMLANG44", "Bilgi");
// Arttırmalar V1.2.1
define("_TEAMLANGCOL", "Kullanıcı görünümünde Haneler");
define("_TEAMLANGDETAIL", "Detaylar görünebilir mi?");
define("_TEAMLANGBIRTH", "Doğumgünü");
define("_TEAMLANGBIRTHDESC", "Doğruluyu kontrol edilmiyor!");
define("_ERROR8", "!!! Eposta eksik !!!");
define("_ERROR9", "!!! Doğumgünü eksik !!!");
// Arttırmalar V1.3.0
define("_TEAMLANGGROUP", "Grup");
define("_ERROR10", "!!! Grup seçimi eksik !!!");
define("_TEAMTITLEGROUP", "Yeni grup ekle");
define("_TEAMNEWGROUP", "Grup üret");
define("_TEAMSETGLOBAL", "Genel");
define("_TEAMSETPICTURES", "Resimler");
define("_TEAMOBLI", "Gerekli alan");
define("_TEAMSETOBLI", _TEAMOBLI . "lar");
define("_TEAMSETACTION", "Aksiyon");
define("_TEAMFORMPERS", "Kişisel");
define("_TEAMID", "ID");
define("_TEAMPICBTDEL", "- Sil -");
define("_TEAMDELGROUPTITLE", "Grup sil");
define("_TEAMDELMSG3", "Grup");
define("_TEAMDETGTITLE", "Grupları düzenle");
define("_TEAMGROUPINFO", "Grup bilgileri");
define("_TEAMFORMDATA", "Yönetimsel bilgileri");
define("_TEAMINACTIVE", "Şu anda pasif Üyeler");
define("_TEAMLANGSHOWINACTIVE", "Pasif olan Üyeleri göster?");
define("_TEAMLINKTITLE", "Ekip");
define("_TEAMLANGCOLOR1", "Çerçeve için renk");
define("_TEAMLANGCOLOR2", "Başlığın arka planı için renk");
define("_TEAMMOREMEMBERS", "Diğer Üyeler");
define("_TEAMNOGROUP", "Grup üyeliği olmayan");
define("_TEAMVER", "Versiyon");
define("_TEAMNOTALLOWED", "Bu fonksiyonu uygulamak için yetkili değilsiniz.");
define("_ERROR11", "!!! Geçersiz E-posta adresi !!!");
define("_TEAMADMINALL", "Hangi Editör Profil üretebilir?");
define("_TEAMADMINSUPER", "Sadece Süper Editörler");
define("_TEAMDELMSG4", "!! Dikkat !!<br />Bu grupta halen üyeler var.");
define("_TEAMADMINSORTOVERVIEW", "Özet sıralaması");

define("_TEAMLNK", "Ekip");
define("_TEAMODHIDDEN", "Gizli");
define("_TEAMPAUSED", "Bu ekip üyesi şu anda aktif değil");
define("_TEAMLANG9", "Sağ blokları göster?");
define("_TEAMLANG45", "İnaktif ekip üyeleri (referans metin dahil olmak üzere)");
define("_TEAMLANG46", "HEX bilgisi olarak");
define("_TEAMLANG47", "İnaktif ekip üyeleri için renk");

define("_BLOCKSHOW_RIGHT", "Sağ blokları göster");

?>