<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

$hook = function($module_name, $options, &$menu)
{
    /* $options enthält die kompletten Daten des aktuellen Admins */
    extract($options, EXTR_SKIP);

    if (!$radminsuper) {
        /* Settings des Moduls includen */
        include("modules/$module_name/teamset.php");
    }

    $menu[] = array(/* Menüpunkt */
        'case' => (($radminsuper) || (!empty($mxTeamAllAdmin))),
        'module' => $module_name,
        'url' => adminUrl($module_name),
        'title' => ucfirst($module_name),
        'description' => '',
        'image' => "modules/$module_name/images/team.png",
        'panel' => MX_ADMINPANEL_USERS,
        );
} ;

?>